UbixOS V2 2.0

Data Fields
statfs Struct Reference

`#include <mount.h>`

Collaboration diagram for statfs:

## Data Fields
u_int64_t | f_asyncreads
u_int64_t | f_asyncwrites
int64_t | f_bavail
u_int64_t | f_bfree
u_int64_t | f_blocks
u_int64_t | f_bsize
char | f_charspare [80]
int64_t | f_ffree
u_int64_t | f_files
u_int64_t | f_flags
fsid_t | f_fsid
char | f_fstypename [16]
u_int64_t | f_iosize
char | f_mntfromname [88]
char | f_mntonname [88]
uint32_t | f_namemax
uid_t | f_owner
u_int64_t | f_spare [10]
u_int64_t | f_syncreads
u_int64_t | f_syncwrites
uint32_t | f_type
uint32_t | f_version

## Detailed Description

Definition at line 41 of file mount.h.

## Field Documentation

## ◆ f_asyncreads

u_int64_t statfs::f_asyncreads

Definition at line 55 of file mount.h.

Referenced by sys_fstatfs(), and sys_statfs().

## ◆ f_asyncwrites

u_int64_t statfs::f_asyncwrites

Definition at line 53 of file mount.h.

Referenced by sys_fstatfs(), and sys_statfs().

## ◆ f_bavail

int64_t statfs::f_bavail

Definition at line 49 of file mount.h.

Referenced by sys_fstatfs(), and sys_statfs().

## ◆ f_bfree

u_int64_t statfs::f_bfree

Definition at line 48 of file mount.h.

Referenced by sys_fstatfs(), and sys_statfs().

## ◆ f_blocks

u_int64_t statfs::f_blocks

Definition at line 47 of file mount.h.

Referenced by sys_fstatfs(), and sys_statfs().

## ◆ f_bsize

u_int64_t statfs::f_bsize

Definition at line 45 of file mount.h.

Referenced by sys_fstatfs(), and sys_statfs().

## ◆ f_charspare

char statfs::f_charspare[80]

Definition at line 60 of file mount.h.

## ◆ f_ffree

int64_t statfs::f_ffree

Definition at line 51 of file mount.h.

Referenced by sys_fstatfs(), and sys_statfs().

## ◆ f_files

u_int64_t statfs::f_files

Definition at line 50 of file mount.h.

Referenced by sys_fstatfs(), and sys_statfs().

## ◆ f_flags

u_int64_t statfs::f_flags

Definition at line 44 of file mount.h.

Referenced by sys_fstatfs(), and sys_statfs().

## ◆ f_fsid

fsid_t statfs::f_fsid

Definition at line 59 of file mount.h.

Referenced by sys_fstatfs(), and sys_statfs().

## ◆ f_fstypename

char statfs::f_fstypename[16]

Definition at line 61 of file mount.h.

Referenced by sys_fstatfs(), and sys_statfs().

## ◆ f_iosize

u_int64_t statfs::f_iosize

Definition at line 46 of file mount.h.

Referenced by sys_fstatfs(), and sys_statfs().

## ◆ f_mntfromname

char statfs::f_mntfromname[88]

Definition at line 62 of file mount.h.

Referenced by sys_fstatfs(), and sys_statfs().

## ◆ f_mntonname

char statfs::f_mntonname[88]

Definition at line 63 of file mount.h.

Referenced by sys_fstatfs(), and sys_statfs().

## ◆ f_namemax

uint32_t statfs::f_namemax

Definition at line 57 of file mount.h.

Referenced by sys_fstatfs(), and sys_statfs().

## ◆ f_owner

uid_t statfs::f_owner

Definition at line 58 of file mount.h.

Referenced by sys_fstatfs(), and sys_statfs().

## ◆ f_spare

u_int64_t statfs::f_spare[10]

Definition at line 56 of file mount.h.

## ◆ f_syncreads

u_int64_t statfs::f_syncreads

Definition at line 54 of file mount.h.

Referenced by sys_fstatfs(), and sys_statfs().

## ◆ f_syncwrites

u_int64_t statfs::f_syncwrites

Definition at line 52 of file mount.h.

Referenced by sys_fstatfs(), and sys_statfs().

## ◆ f_type

uint32_t statfs::f_type

Definition at line 43 of file mount.h.

Referenced by sys_fstatfs(), and sys_statfs().

## ◆ f_version

uint32_t statfs::f_version

Definition at line 42 of file mount.h.

Referenced by sys_fstatfs(), and sys_statfs().

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/vfs/mount.h